--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Tests whether the value in the record is like the expected_value set for the Comparison. Equivalent to a LIKE clause in an SQL database.
- !ruby/struct:SM::Flow::P 
  body: "TODO: move this to dm-more with DataObjectsAdapter plugins"
constants: []

full_name: DataMapper::Query::Conditions::LikeComparison
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: matches?
name: LikeComparison
superclass: AbstractComparison
